org.wildfly.swarm.ee

## Class EEFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.EE<EEFraction>
      - - org.wildfly.swarm.ee.EEFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<EEFraction>

      public class EEFraction
      extends EE<EEFraction>
      implements Fraction<EEFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.EE

      `EE.EEResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONCURRENCY_CONTEXT_DEFAULT`
    `static String` | `CONCURRENCY_EXECUTOR_DEFAULT`
    `static String` | `CONCURRENCY_FACTORY_DEFAULT`
    `static String` | `CONCURRENCY_SCHEDULER_DEFAULT`
    `static String` | `DEFAULT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EEFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EEFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `EEFraction` | `applyDefaults(DefaultBindingsServiceConsumer config)`
    `static EEFraction` | `createDefaultFraction()`
    `static EEFraction` | `createDefaultFraction(DefaultBindingsServiceConsumer config)`
    `void` | `postConstruct()`

    - ### Methods inherited from class org.wildfly.swarm.config.EE

      `addPropertyChangeListener, annotationPropertyReplacement, annotationPropertyReplacement, contextService, contextService, contextService, contextService, contextServices, defaultBindingsService, defaultBindingsService, defaultBindingsService, defaultBindingsService, earSubdeploymentsIsolated, earSubdeploymentsIsolated, getKey, globalModule, globalModules, globalModules, globalModules, jbossDescriptorPropertyReplacement, jbossDescriptorPropertyReplacement, managedExecutorService, managedExecutorService, managedExecutorService, managedExecutorService, managedExecutorServices, managedScheduledExecutorService, managedScheduledExecutorService, managedScheduledExecutorService, managedScheduledExecutorService, managedScheduledExecutorServices, managedThreadFactories, managedThreadFactory, managedThreadFactory, managedThreadFactory, managedThreadFactory, removePropertyChangeListener, specDescriptorPropertyReplacement, specDescriptorPropertyReplacement, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### CONCURRENCY_CONTEXT_DEFAULT

          public static final String CONCURRENCY_CONTEXT_DEFAULT

      See Also:
        Constant Field Values

    - #### CONCURRENCY_FACTORY_DEFAULT

          public static final String CONCURRENCY_FACTORY_DEFAULT

      See Also:
        Constant Field Values

    - #### CONCURRENCY_EXECUTOR_DEFAULT

          public static final String CONCURRENCY_EXECUTOR_DEFAULT

      See Also:
        Constant Field Values

    - #### CONCURRENCY_SCHEDULER_DEFAULT

          public static final String CONCURRENCY_SCHEDULER_DEFAULT

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY

          public static final String DEFAULT_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EEFraction

          public EEFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static EEFraction createDefaultFraction()

    - #### createDefaultFraction

          public static EEFraction createDefaultFraction(DefaultBindingsServiceConsumer config)

    - #### postConstruct

          @PostConstruct
          public void postConstruct()

    - #### applyDefaults

          public EEFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<EEFraction>`
      Returns:
        this fraction.

    - #### applyDefaults

          public EEFraction applyDefaults(DefaultBindingsServiceConsumer config)

Copyright © 2017 JBoss by Red Hat. All rights reserved.